RemoteFileSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.RemoteFileSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface RemoteFileSystem

All Superinterfaces:
  CIMSystem, FileSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  NFSFileSystem, SMBFileSystem

    public interface RemoteFileSystem

extends FileSystem

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.FileSystem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExportName()`
`java.lang.String` | `getServerName()`
`boolean` | `hasExportName()`
`boolean` | `hasServerName()`
`void` | `setExportName(java.lang.String s)`
`void` | `setServerName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.sys.FileSystem
`getAvailableSpace, getCapacity, getInheritedFileSystem, getMountedFileSystem, getMountPoint, getParent, getType, hasAvailableSpace, hasCapacity, hasInheritedFileSystem, hasMountedFileSystem, hasMountPoint, hasParent, hasType, setAvailableSpace, setCapacity, setInheritedFileSystem, setMountedFileSystem, setMountPoint, setParent, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getServerName

    java.lang.String getServerName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerName

    void setServerName(java.lang.String s)

### hasServerName

    boolean hasServerName()

### getExportName

    java.lang.String getExportName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExportName

    void setExportName(java.lang.String s)

### hasExportName

    boolean hasExportName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD